Get Clusters

Get Clusters
Retrieve a list of clusters

Retrieve a list of clusters

Request
URI
GET
https://{api_host}/v1/clusters
COPY
Query Parameters
boolean
isStretched
Optional

Is cluster vSAN stretched

boolean
isImageBased
Optional

Is cluster managed using vSphere lifecycle Manager Images

string
domainId
Optional

ID of the Domain

string
managedObjectReferenceId
Optional

ManagedObject reference ID of the cluster

string
name
Optional

Name of the cluster

boolean
isDefault
Optional

Is cluster default

boolean
isHciMeshEnabled
Optional

Is cluster Hci Mesh enabled

integer
pageSize
Optional

Size of the page to retrieve.

integer
pageNumber
Optional

Page number to retrieve.

boolean
useCache
Optional

Parameter to get cluster details from cache


Responses
200

Ok

Returns PageOfCluster of type(s) application/json
{
    "elements": [
        {
            "id": "string",
            "domain": {
                "id": "string",
                "name": "string",
                "type": "string"
            },
            "name": "string",
            "status": "One among: ACTIVE, ACTIVATING, UPGRADING, DISABLED, ERROR, SKIPPED, DEACTIVATING, EXPANDING, SHRINKING, CREATING",
            "hciMeshData": {
                "name": "string",
                "clusterMorId": "string",
                "isHciMeshEnabled": false,
                "remoteDatastore": "string",
                "primaryDataStoreId": "string",
                "vsanDataStores": [
                    "string"
                ],
                "clientClusters": [
                    "string"
                ],
                "remoteDatastoreInfos": [
                    {
                        "serverCluster": "string",
                        "remoteDatastore": "string"
                    }
                ],
                "isServer": false,
                "isClient": false,
                "computeOnlyClient": false,
                "numberOfClients": 0,
                "numberOfServers": 0
            },
            "primaryDatastoreNativeId": "string",
            "primaryDatastoreName": "string",
            "primaryDatastoreType": "One among: VSAN, VSAN_ESA, VSAN_MAX, NFS, FC, VVOL_FC, VVOL_ISCSI, VVOL_NFS, VSAN_REMOTE, VMFS, VVOL",
            "hosts": [
                {
                    "id": "string",
                    "ipAddress": "string",
                    "fqdn": "string",
                    "vmNics": [
                        {
                            "name": "string",
                            "linkSpeedMB": 0,
                            "isInUse": false,
                            "isAutoNegotiateSupported": false,
                            "isActive": false
                        }
                    ],
                    "azName": "string"
                }
            ],
            "isStretched": false,
            "isDefault": false,
            "failuresToTolerate": 0,
            "vdsSpecs": [
                {
                    "name": "string",
                    "isUsedByNsxt": false,
                    "nsxtSwitchConfig": {
                        "transportZones": [
                            {
                                "name": "string",
                                "transportType": "One among: VLAN, OVERLAY"
                            }
                        ],
                        "hostSwitchOperationalMode": "One among: STANDARD, ENS, ENS_INTERRUPT",
                        "ipAssignmentType": "string"
                    },
                    "portGroupSpecs": [
                        {
                            "name": "string",
                            "transportType": "One among: VSAN, VMOTION, MANAGEMENT, PUBLIC, NFS, VREALIZE, ISCSI, EDGE_INFRA_OVERLAY_UPLINK, VM_MANAGEMENT, VSAN_EXTERNAL, FLEET_MANAGEMENT",
                            "activeUplinks": [
                                "string"
                            ],
                            "standByUplinks": [
                                "string"
                            ],
                            "teamingPolicy": "One among:loadbalance_ip, loadbalance_srcmac, loadbalance_srcid, failover_explicit, loadbalance_loadbased"
                        }
                    ],
                    "niocBandwidthAllocationSpecs": [
                        {
                            "type": "string",
                            "niocTrafficResourceAllocation": {
                                "limit": 0,
                                "sharesInfo": {
                                    "shares": 0,
                                    "level": "One among: low, normal, high, custom"
                                },
                                "reservation": 0
                            }
                        }
                    ],
                    "mtu": 0,
                    "lagSpecs": [
                        {
                            "name": "string",
                            "uplinksCount": 0,
                            "lacpMode": "One among:ACTIVE, PASSIVE",
                            "loadBalancingMode": "One among:SOURCE_MAC, DESTINATION_MAC, SOURCE_AND_DESTINATION_MAC, DESTINATION_IP_AND_VLAN, SOURCE_IP_AND_VLAN, SOURCE_AND_DESTINATION_IP_AND_VLAN, DESTINATION_TCP_UDP_PORT, SOURCE_TCP_UDP_PORT, SOURCE_AND_DESTINATION_TCP_UDP_PORT, DESTINATION_IP_AND_TCP_UDP_PORT, SOURCE_IP_AND_TCP_UDP_PORT, SOURCE_AND_DESTINATION_IP_AND_TCP_UDP_PORT, DESTINATION_IP_AND_TCP_UDP_PORT_AND_VLAN, SOURCE_IP_AND_TCP_UDP_PORT_AND_VLAN, SOURCE_AND_DESTINATION_IP_AND_TCP_UDP_PORT_AND_VLAN, DESTINATION_IP, SOURCE_IP, SOURCE_AND_DESTINATION_IP, VLAN, SOURCE_PORT_ID",
                            "lacpTimeoutMode": "One among:SLOW, FAST"
                        }
                    ]
                }
            ],
            "tags": [
                {
                    "id": "string",
                    "name": "string",
                    "categoryId": "string",
                    "categoryName": "string"
                }
            ],
            "isImageBased": false,
            "configManagerEnabled": false,
            "capacity": {
                "cpu": {
                    "used": {
                        "value": "number",
                        "unit": "string"
                    },
                    "total": {
                        "value": "number",
                        "unit": "string"
                    },
                    "numberOfCores": 0,
                    "numberOfCPUPackages": 0
                },
                "memory": {
                    "used": {
                        "value": "number",
                        "unit": "string"
                    },
                    "total": {
                        "value": "number",
                        "unit": "string"
                    }
                },
                "storage": {
                    "used": {
                        "value": "number",
                        "unit": "string"
                    },
                    "total": {
                        "value": "number",
                        "unit": "string"
                    }
                }
            },
            "vcenter": {
                "id": "string",
                "fqdn": "string",
                "vcInstanceId": "string"
            },
            "managedObjectReferenceId": "string",
            "vsanClusterMode": "string",
            "datacenter": {
                "domainId": "string",
                "name": "string",
                "morId": "string"
            },
            "isImported": false,
            "dnsServers": [
                "string"
            ],
            "ntpServers": [
                "string"
            ]
        }
    ],
    "pageMetadata": {
        "pageNumber": 0,
        "pageSize": 0,
        "totalElements": 0,
        "totalPages": 0
    }
}
array of object
elements
Optional

The list of elements included in this page

object
pageMetadata
Optional

Represents pageable elements pagination metadata


400

Bad Request

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/clusters